package pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn; // Java Package generated by the BNF Converter.

public class ProgramC extends Program {
    public final ListStatement liststatement_;

    public ProgramC(ListStatement p1) {

        liststatement_ = p1;
    }

    public <R, A> R accept(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.Program.Visitor<R, A> v, A arg) {

        return v.visit(this, arg);
    }

    public int hashCode() {

        return this.liststatement_.hashCode();
    }

    public boolean equals(Object o) {

        if (this == o) return true;
        if (o instanceof pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.ProgramC) {
            pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.ProgramC x = (pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.ProgramC) o;
            return this.liststatement_.equals(x.liststatement_);
        }
        return false;
    }


}
